<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Reservation_model extends CI_Model {

    public function __construct() {
        parent::__construct();
    }

    function getreservation() {
        $page = $this->input->post('page');
        $limit = $this->input->post('rows'); // get how many rows we want to have into the grid
        $sidx = $this->input->post('sidx'); // get index row - i.e. user click to sort
        $sord = $this->input->post('sord'); // get the direction
//Default values
        if (!$sidx)
            $sidx = 'id';
        if (!$sord)
            $sord = 'asc';

        if (!$page)
            $page = 1;
        if (!$limit)
            $limit = 25;

//Total Returned Rows Count
        $this->db->from('RESERVATIONS');
        $count = $this->db->count_all_results();

//Total Pages
        if ($count > 0 && $limit > 0) {
            $total_pages = ceil($count / $limit);
        } else {
            $total_pages = 0;
        }

//Check requested page
        if ($page > $total_pages)
            $page = $total_pages;

//Set start record number
        $start = $limit * $page - $limit;

//Format data for jqGrid output
        $data['page'] = "" . $page . "";
        $data['total'] = "" . $total_pages . "";
        $data['records'] = "" . $count . "";


//Fetch data
//$this->db->select("ID, NAME");
        $this->db->select("ID,CREATED,DATENEW,TITLE,CHAIRS,ISDONE,DESCRIPTION");
         $this->db->order_by($sidx, $sord);
        //$this->db->limit($limit, $start);
        $rows = $this->db->get("RESERVATIONS")->result_array();

//Format data
        $i = 0;
        foreach ($rows as $row) {
            $data['rows'][$i]['id'] = $i + 1;
            $data['rows'][$i]['cell'] = array($row['ID'], $row['CREATED'],$row['DATENEW'], $row['TITLE'],$row['CHAIRS'], $row['ISDONE'], $row['DESCRIPTION']);
            $i++;
        }
        return json_encode($data);
    }
}